def calcul(E):
    expr = E.split(' ')
    liste_nombres = []

    for i in expr:
        if i not in '+-*/':
            liste_nombres.append(i)
        else:
            if i == '+':
                r = float(liste_nombres[-2]) + float(liste_nombres[-1])
            elif i == '-':
                r = float(liste_nombres[-2]) - float(liste_nombres[-1])
            elif i == '*':
                r = float(liste_nombres[-2]) * float(liste_nombres[-1])
            else:
                r = float(liste_nombres[-2]) / float(liste_nombres[-1])
            del liste_nombres[-2]
            del liste_nombres[-1]
            liste_nombres.append(str(r))

    return liste_nombres[0]